1. #1
    Candidat au Club
    Homme Profil pro
    Administrateur de base de données
    Inscrit en
    mars 2017
    Messages
    12
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 32
    Localisation : France, Landes (Aquitaine)

    Informations professionnelles :
    Activité : Administrateur de base de données

    Informations forums :
    Inscription : mars 2017
    Messages : 12
    Points : 4
    Points
    4

    Par défaut Problème de Workspace

    Bonjour à tout le monde,

    J'utilise Talend depuis un moment et en voulant rajouter une extension, j'ai une erreur au démarrage de Talend.

    "An error has occured. See the log file: C:\....TOS_DI_20160704_1411-V6.2.1\...\.log sachant que j'utilise un Talend 6.3.1

    En cherchant un peu, j'arrive à ouvrir Talend depuis TOS_DI-win32-x86.exe et non TOS_DI-win-x86_64.exe.

    Première question: quelle est la différence entre les deux?

    Outre le fait que j'ai perdu quelques jobs et je ne sais toujours pas pourquoi à ce jour, je me suis aperçu que les projets ne s'enregistrent pas au bon endroit mais dans :

    C:\Users\nom_de_l_utilisateur\AppData\Local\VirtualStore\Program Files (x86)\Talend\TOS_DI-20161216_1026-V6.3.1

    Ce changement de destination induit sur l'ajout de métadonnées par exemple. Je ne peux plus ajouter de fichier Excel par exemple.
    Nom : Capture.PNG
Affichages : 96
Taille : 74,5 Ko

    Si l'on regarde dans la seconde ligne, il va chercher l'information dans le program files (x86) et plus dans Users.

    Quelqu'un aurait une explication à une ou toutes les questions/problèmes soulevés?

  2. #2
    Membre habitué
    Homme Profil pro
    Développeur décisionnel
    Inscrit en
    septembre 2013
    Messages
    26
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France

    Informations professionnelles :
    Activité : Développeur décisionnel
    Secteur : Conseil

    Informations forums :
    Inscription : septembre 2013
    Messages : 26
    Points : 168
    Points
    168

    Par défaut

    Bonjour

    a Première vue, votre Talend s'ouvre avec la version 32 Bits et non plus 64 Bits.
    il faudrait vérifier les variables d'environnement de votre Talend pour voir quelle version de JAVA il utilise
    il faut obligatoirement la version java 1.8 si vous voulez bosser avec la version 6... de Talend il me semble.
    Donc si vous avez changer votre version de JAVA, il se peut que votre version Talend ne fonctionne plus correctement.

    Cordialement

  3. #3
    Candidat au Club
    Homme Profil pro
    Administrateur de base de données
    Inscrit en
    mars 2017
    Messages
    12
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 32
    Localisation : France, Landes (Aquitaine)

    Informations professionnelles :
    Activité : Administrateur de base de données

    Informations forums :
    Inscription : mars 2017
    Messages : 12
    Points : 4
    Points
    4

    Par défaut

    Super c'est exactement cela.
    En effet, mes variables d'environnement avaient tout simplement disparues en ce qui concernant Java.

    Merci beaucoup

  4. #4
    Candidat au Club
    Homme Profil pro
    Administrateur de base de données
    Inscrit en
    mars 2017
    Messages
    12
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 32
    Localisation : France, Landes (Aquitaine)

    Informations professionnelles :
    Activité : Administrateur de base de données

    Informations forums :
    Inscription : mars 2017
    Messages : 12
    Points : 4
    Points
    4

    Par défaut

    Bon cela me permet finlament d'ouvrir Talend sans difficulté mais j'ai toujours un problème avec l'ajout dans les Métadonnées comme cité dans le premier message.

    Quelqu'un saurait me dire quelle variable est responsable de cela?

  5. #5
    Membre averti

    Homme Profil pro
    informatique
    Inscrit en
    avril 2013
    Messages
    280
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Haut Rhin (Alsace)

    Informations professionnelles :
    Activité : informatique
    Secteur : High Tech - Éditeur de logiciels

    Informations forums :
    Inscription : avril 2013
    Messages : 280
    Points : 408
    Points
    408
    Billets dans le blog
    1

    Par défaut

    Citation Envoyé par 1MACS2SIG Voir le message


    Première question: quelle est la différence entre les deux?
    Bonjour, la version x86_64 est compatible avec un java 1.8 64 bit
    la metadonnée est incorporée à ton talend.Si tu ne l'as pas, il y'a un probleme avec ton installation

  6. #6
    Candidat au Club
    Homme Profil pro
    Administrateur de base de données
    Inscrit en
    mars 2017
    Messages
    12
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 32
    Localisation : France, Landes (Aquitaine)

    Informations professionnelles :
    Activité : Administrateur de base de données

    Informations forums :
    Inscription : mars 2017
    Messages : 12
    Points : 4
    Points
    4

    Par défaut

    Bonjour, la version x86_64 est compatible avec un java 1.8 64 bit
    Justement je n'utilise pas la version x86_64 mais la version x86.
    En effet, avec la version que tu me proposes, Talend ne s'ouvre pas et m'indique une erreur:
    "Failed to load the JNI shared library "C:\Programme Files (x86)\Java\jre1.8.0_144\client\jvm.dll"

    Est ce que le problème vient de là??

  7. #7
    Candidat au Club
    Homme Profil pro
    Administrateur de base de données
    Inscrit en
    mars 2017
    Messages
    12
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 32
    Localisation : France, Landes (Aquitaine)

    Informations professionnelles :
    Activité : Administrateur de base de données

    Informations forums :
    Inscription : mars 2017
    Messages : 12
    Points : 4
    Points
    4

    Par défaut

    Donc l'ouverture via la version x86_64 fonctionne de nouveau.
    Une mauvaise déclaration des variables lorsque j'ai fait la nouvelle déclaration.

    Cependant, un problème subsiste. J'ai deux talend sur mon pc la 6.3.1 et la 6.4.1. La première est celle dont je me sers alors que la seconde a été installée après ce bug.

    La 6.4.1 s'ouvre bien mais je n'ai pas tous les projets, jobs et composants (essentiellement les géographiques).
    La 6.3.1, quant à elle, s'ouvre sur une erreur. Ce que je ne comprends pas c'est qu'il me met un log dans une version antérieure 6.2.1 qui est désinstallée où seul un dossier avec une sauvegarde de workspace est maintenue, au cas où.

    Une idée??? Une astuce?? Un truc sympa à me dire?

Discussions similaires

  1. Réponses: 2
    Dernier message: 01/04/2015, 17h48
  2. Réponses: 2
    Dernier message: 10/04/2013, 10h42
  3. Problème de workspace
    Par yousse dans le forum Eclipse
    Réponses: 2
    Dernier message: 14/08/2009, 00h20
  4. WSAD : Problème choix Workspace :
    Par comboDev dans le forum Eclipse Java
    Réponses: 3
    Dernier message: 26/05/2009, 00h05
  5. Réponses: 2
    Dernier message: 14/05/2009, 17h36

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo